"use strict";
const common_vendor = require("../../../../common/vendor.js");
const gen_Enums = require("../../../../gen/Enums.js");
require("../../../../common/libraries/day.js");
const BILL_outstanding_fee_show_model = require("../model.js");
require("../method.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../gen/Apis.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../common/libraries/naviHelper.js");
require("../../../../common/libraries/sendWxWork.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  _easycom_hs_enum_tag2();
}
const _easycom_hs_enum_tag = () => "../../../../components/hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  _easycom_hs_enum_tag();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "PageHeader",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X, _Y, _Z, __, _$, _aa, _ba, _ca, _da, _ea, _fa, _ga, _ha, _ia, _ja, _ka, _la, _ma, _na, _oa, _pa, _qa, _ra, _sa, _ta, _ua, _va, _wa, _xa, _ya, _za, _Aa, _Ba;
      return common_vendor.e({
        a: common_vendor.t(((_c = (_b = (_a = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.full_name) || "-"),
        b: common_vendor.t(((_f = (_e = (_d = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.total_pending_amount) ? "欠费" : "结清"),
        c: common_vendor.n(`type_text type_text_${((_i = (_h = (_g = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.total_pending_amount) ? "red" : "green"}`),
        d: (_l = (_k = (_j = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _j.showData) == null ? void 0 : _k.value) == null ? void 0 : _l.total_pending_amount
      }, ((_o = (_n = (_m = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.total_pending_amount) ? {
        e: common_vendor.t(((_r = (_q = (_p = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _p.showData) == null ? void 0 : _q.value) == null ? void 0 : _r.total_pending_amount) || "-")
      } : {}, {
        f: common_vendor.t(((_v = (_u = (_t = (_s = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _s.showData) == null ? void 0 : _t.value) == null ? void 0 : _u.asset_house) == null ? void 0 : _v.built_area) || "-"),
        g: common_vendor.t(((_z = (_y = (_x = (_w = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _w.showData) == null ? void 0 : _x.value) == null ? void 0 : _y.asset_house) == null ? void 0 : _z.room) || ""),
        h: common_vendor.t(((_D = (_C = (_B = (_A = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _A.showData) == null ? void 0 : _B.value) == null ? void 0 : _C.asset_house) == null ? void 0 : _D.hall) || ""),
        i: common_vendor.t(((_H = (_G = (_F = (_E = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _E.showData) == null ? void 0 : _F.value) == null ? void 0 : _G.asset_house) == null ? void 0 : _H.bathroom) || ""),
        j: common_vendor.t(((_L = (_K = (_J = (_I = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _I.showData) == null ? void 0 : _J.value) == null ? void 0 : _K.asset_house) == null ? void 0 : _L.kitchen) || ""),
        k: common_vendor.t(((_P = (_O = (_N = (_M = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _M.showData) == null ? void 0 : _N.value) == null ? void 0 : _O.asset_house) == null ? void 0 : _P.balcony) || ""),
        l: common_vendor.t(((_T = (_S = (_R = (_Q = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _Q.showData) == null ? void 0 : _R.value) == null ? void 0 : _S.asset_house) == null ? void 0 : _T.ownership_term) || "-"),
        m: (_X = (_W = (_V = (_U = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _U.showData) == null ? void 0 : _V.value) == null ? void 0 : _W.asset_house) == null ? void 0 : _X.status
      }, ((_$ = (__ = (_Z = (_Y = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _Y.showData) == null ? void 0 : _Z.value) == null ? void 0 : __.asset_house) == null ? void 0 : _$.status) ? {
        n: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.HouseRegistersHouseStatusEnum),
          value: (_da = (_ca = (_ba = (_aa = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _aa.showData) == null ? void 0 : _ba.value) == null ? void 0 : _ca.asset_house) == null ? void 0 : _da.status
        })
      } : {}, {
        o: (_ha = (_ga = (_fa = (_ea = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _ea.showData) == null ? void 0 : _fa.value) == null ? void 0 : _ga.asset_house) == null ? void 0 : _ha.orientation
      }, ((_la = (_ka = (_ja = (_ia = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _ia.showData) == null ? void 0 : _ja.value) == null ? void 0 : _ka.asset_house) == null ? void 0 : _la.orientation) ? {
        p: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.AssetHousesOrientationEnum),
          value: (_pa = (_oa = (_na = (_ma = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _ma.showData) == null ? void 0 : _na.value) == null ? void 0 : _oa.asset_house) == null ? void 0 : _pa.orientation
        })
      } : {}, {
        q: (_ta = (_sa = (_ra = (_qa = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _qa.showData) == null ? void 0 : _ra.value) == null ? void 0 : _sa.asset_house) == null ? void 0 : _ta.usage
      }, ((_xa = (_wa = (_va = (_ua = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _ua.showData) == null ? void 0 : _va.value) == null ? void 0 : _wa.asset_house) == null ? void 0 : _xa.usage) ? {
        r: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.AssetHousesUsageEnum),
          value: (_Ba = (_Aa = (_za = (_ya = common_vendor.unref(BILL_outstanding_fee_show_model.useModel)) == null ? void 0 : _ya.showData) == null ? void 0 : _za.value) == null ? void 0 : _Aa.asset_house) == null ? void 0 : _Ba.usage
        })
      } : {});
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/show/components/PageHeader.vue"]]);
wx.createComponent(Component);
